General Information
All operations require authentication.
List Email Pro servicesAlpha
Returns the names of the Email Pro services of the account. Filter them by IAM tags with iamTags.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the Email Pro serviceAlpha
Returns the state, offer, hostname and web interface URL of the service, its message size limits, its password and lockout policy, and its spam and virus configuration.
Path parameters
Service
Response
enable policy for strong and secure passwords
service displayName
Domain name of your service
Hostname of your service
IAM resource metadata
Update date
number of minutes account will remain locked if it occurs
number of minutes that must elapse after a failed logon to reset lockout trigger
number of attempts before account to be locked
maximum number of days that account's password is valid before expiration
Maximum message size that You can receive in MB
Maximum message size that You can send in MB
minimum number of days before able to change account's password
minimum number of characters password must contain
Type of your offer
emailproSpam and Antivirus configuration
State of your service
creatingdeletinginMaintenanceokreopeningsuspendedsuspendingTask pending id
URL for web interface
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service} \
-H "authorization: Bearer $OVH_TOKEN"{ "complexityEnabled": true, "displayName": "string", "domain": "string", "hostname": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdateDate": "2024-01-01T12:00:00Z", "lockoutDuration": 0, "lockoutObservationWindow": 0, "lockoutThreshold": 0, "maxPasswordAge": 0, "maxReceiveSize": 0, "maxSendSize": 0, "minPasswordAge": 0, "minPasswordLength": 0, "offer": "emailpro", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "state": "creating", "taskPendingId": 0, "webUrl": "string"}
Update the Email Pro serviceProduction
Update the Email Pro service. Updates the display name, message size limits, password and lockout policy, and spam and virus configuration of the service.
Path parameters
The internal name of your pro organization
Request body (required)
enable policy for strong and secure passwords
service displayName
Domain name of your service
Hostname of your service
Update date
number of minutes account will remain locked if it occurs
number of minutes that must elapse after a failed logon to reset lockout trigger
number of attempts before account to be locked
maximum number of days that account's password is valid before expiration
Maximum message size that You can receive in MB
Maximum message size that You can send in MB
minimum number of days before able to change account's password
minimum number of characters password must contain
Type of your offer
emailproSpam and Antivirus configuration
State of your service
creatingdeletinginMaintenanceokreopeningsuspendedsuspendingTask pending id
URL for web interface
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service} \
-H "authorization: Bearer $OVH_TOKEN"Get the billing migration statusAlpha
Returns true when the service is billed by the new OVHcloud billing system.
Path parameters
Service
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ billingMigrated \
-H "authorization: Bearer $OVH_TOKEN"true
Get the billing planAlpha
Returns the name of the billing plan of the service.
Path parameters
Service
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ billingPlan \
-H "authorization: Bearer $OVH_TOKEN""string"
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your pro organization
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get the serverAlpha
Returns the state, IPv4 and IPv6 addresses, version and disk usage of the server, and whether its A, AAAA and PTR DNS records are valid.
Path parameters
Service
Response
Current disk usage in MB
Total disk size in MB
ipV4
ipV6
If true your dns A record is valid
If true your dns AAAA record is valid
If true your dns ptrV6 record is valid
If true your dns ptr record is valid
Server state
configurationPendingnotConfiguredokTask pending id
Server version
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ server \
-H "authorization: Bearer $OVH_TOKEN"{ "currentDiskUsage": 0, "diskSize": 0, "ip": "string", "ipV6": "string", "isAValid": true, "isAaaaValid": true, "isPtrV6Valid": true, "isPtrValid": true, "state": "configurationPending", "taskPendingId": 0, "version": 0}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your pro organization
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your pro organization
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Update spam and virus flagsProduction
Update spam and virus flags. Applies the spam and virus configuration of the service (spamAndVirusConfiguration) to all its active email accounts.
Path parameters
The internal name of your pro organization
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ updateFlagsOnAllAccounts \
-H "authorization: Bearer $OVH_TOKEN"